export = RouteHandler;
declare class RouteHandler {
    /**
     * Define tge scope as transient so that a new instance will be created for every request
     *
     * @static
     * @public
     */
    public static scope(): string;
    constructor(applicationContext: any, api: any, responseValidator: any, environment: any);
    api: any;
    applicationContext: any;
    responseValidator: any;
    environment: any;
    requestBodyParser: RequestBodyParser;
    /**
     * Handle the request from the client forwarding the request to the Interface that implement the
     * method defined on the API operation identifier.
     *
     * @param {any} req the express request object
     * @param {any} res the express response object
     * @param {Function} next a callback to propagate the handling action to the next middleware.
     *
     * @public
     */
    public handle(req: any, res: any, next: Function): void;
    _doHandleRequest(req: any): any;
    /**
     * Collect the parameters defined as part of the OpenAPI definition.
     * @param {Object} req the express request
     */
    collectParameters(req: any): any;
    handleApiResponse(answer: any, res: any, next: any): any;
    handleError(error: any, clientResponse: any, next: any): void;
    _sendResponse(answer: any, res: any, next: any): void;
    /**
     * Normalise the response from the API to an instance of Response
     * @param {Any} answer the response from the API
     * @returns {Response}
     *
     * @private
     */
    private __normaliseAnswer;
    _buildClientErrorResponse(properties: any, contentType: any, error: any): string;
    /**
     * Lookup the interface that can handle the defined operationId for the API.
     * @returns {Interface}
     *
     * @private
     */
    private ensureInterface;
    _interface: any;
}
import RequestBodyParser = require("./request/request.body.parser");
//# sourceMappingURL=route.handler.d.ts.map