//    Copyright 2018 Quirino Brizi [quirino.brizi@gmail.com]
//
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
//
//        http://www.apache.org/licenses/LICENSE-2.0
//
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.

const { Monitor, State } = require('dino-core');

class CachePerformanceMonitor extends Monitor {
  execute() {
    const properties = new Map();
    const performances = this.cacheInstance.getPerformance()[0];
    Object.keys(this.cacheInstance.getPerformance()[0]).forEach((key) => properties.set(key, performances[key]));
    return State.from(properties);
  }

  name() {
    return this.apiName;
  }

  setApiName(apiName) {
    this.apiName = apiName;
    return this;
  }

  setCacheInstance(cacheInstance) {
    this.cacheInstance = cacheInstance;
    return this;
  }
}

module.exports = CachePerformanceMonitor;
